#!/bin/bash

JAVA_EXEC=${JAVA_HOME}/bin/java
JF_RTFS_JAR=${JF_PRODUCT_HOME}/app/federation/lib/jf-rtfs
JF_RTFS_TOMCAT_TEMP_DIR=${JF_PRODUCT_HOME}/var/work/rtfs/tomcat/temp

# Java & OS Info
uname -a
cat "${JAVA_HOME}/release" | grep -E "JAVA_VERSION|OS_ARCH"

errorExit() {
    echo -e "\n\033[31mERROR: $1\033[0m\n"
    exit 1
}

mkdir -p "${JF_RTFS_TOMCAT_TEMP_DIR}" || errorExit "Failed to created directory ${JF_RTFS_TOMCAT_TEMP_DIR}"

# Run command
${JAVA_EXEC} ${EXTRA_JAVA_OPTS} -Djava.io.tmpdir="${JF_RTFS_TOMCAT_TEMP_DIR}" -jar ${JF_RTFS_JAR}